# ProjectComponentSelector

interface ProjectComponentSelector : ComponentSelector

Criteria for selecting a component instance that is built as part of the current build.

#### Since

1.10

## Functions

getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
getBuildPath
Link copied to clipboard
abstract fun getBuildPath(): String
Absolute build path of the build within the Gradle invocation to select a project from.
getCapabilitySelectors
Link copied to clipboard
abstract fun getCapabilitySelectors(): Set<CapabilitySelector>
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
The path of the project to select the component from.
getRequestedCapabilities
Link copied to clipboard
abstract fun getRequestedCapabilities(): List<Capability>
matchesStrictly
Link copied to clipboard
abstract fun matchesStrictly(identifier: ComponentIdentifier): Boolean